#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-acme
Version		:	2.5.0
Release		:	14.4.0.0%{?dist}
Summary		:	Python library for the ACME protocol
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://pypi.python.org/pypi/acme

Source0		:	%{sname}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{sname}-%{version}-test-buildrequires.patch
#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	make
BuildRequires	:	gnupg
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3
BuildRequires	:	python-build
#BuildRequires	:	python3-certifi
BuildRequires	:	python3-cffi
BuildRequires	:	python3-cryptography
BuildRequires	:	python3-iniconfig
BuildRequires	:	python-installer
#BuildRequires	:	python3-idna
BuildRequires	:	python3-josepy
#BuildRequires	:	python3-charset-normalizer
BuildRequires	:	python-packaging
BuildRequires	:	python3-pluggy
BuildRequires	:	python-pyparsing
BuildRequires	:	python3-pyOpenSSL
BuildRequires	:	python3-pyRFC3339
BuildRequires	:	python-pep517
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pytz
#BuildRequires	:	python3-requests
#BuildRequires	:	python3-requests-toolbelt
BuildRequires	:	python3-setuptools
BuildRequires	:	python3-sphinx
BuildRequires	:	python3-sphinx_rtd_theme
BuildRequires	:	python3-tomli
#BuildRequires	:	python3-urllib3
BuildRequires	:	python-wheel

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Python libraries implementing the Automatic Certificate
Management Environment (ACME) protocol. It is used by
the Let's Encrypt project.
	

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{sname}/py.typed
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/*.py
%{python3_sitelib}/%{sname}/_internal/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/tests/*.py
%{python3_sitelib}/%{sname}/_internal/tests/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/_internal/tests/testdata/README
%{python3_sitelib}/%{sname}/_internal/tests/testdata/*.pem
%{python3_sitelib}/%{sname}/_internal/tests/testdata/*.der
%{python3_sitelib}/%{sname}-%{version}*.dist-info/
#{_mandir}/man1/%{sname}-python.1.gz
#{_mandir}/man1/jws.1.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}
%patch -P 0 -p1

tar xf %{SOURCE1}

# nuke setuptools from orbit ^W install_requires
sed -i							\
  -e '/setuptools>=/d'					\
  setup.py

%{__cp} %{name}-ok_addon/certbot.pub .

%{__cp} -a 						\
	%{name}-ok_addon/build				\
	.

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	-m build					\
	--wheel						\
	--no-isolation
	
# create man page
#{__make} -C docs man

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
PYTHONPATH=${PWD}/vectors:%{buildroot}%{python3_sitearch}	\
%{__python}							\
	-m pytest						\
		--pdb						\
		-x						\
	

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl	
	
#install -vDm644					\
#	-t "%{buildroot}%{_mandir}/man1"		\
#	docs/_build/man/*.1

#-----------------------------------------------------------------------------
%changelog
